
package net.mcreator.galaxymod.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.GhastModel;

import net.mcreator.galaxymod.entity.ElderGalacticCreatureEntity;

import com.mojang.blaze3d.vertex.PoseStack;

public class ElderGalacticCreatureRenderer extends MobRenderer<ElderGalacticCreatureEntity, GhastModel<ElderGalacticCreatureEntity>> {
	public ElderGalacticCreatureRenderer(EntityRendererProvider.Context context) {
		super(context, new GhastModel<ElderGalacticCreatureEntity>(context.bakeLayer(ModelLayers.GHAST)), 0.5f);
	}

	@Override
	protected void scale(ElderGalacticCreatureEntity entity, PoseStack poseStack, float f) {
		poseStack.scale(10f, 10f, 10f);
	}

	@Override
	public ResourceLocation getTextureLocation(ElderGalacticCreatureEntity entity) {
		return ResourceLocation.parse("galaxy_mod:textures/entities/gdvfr.png");
	}
}
