
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.galaxymod.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.entity.RegisterSpawnPlacementsEvent;
import net.neoforged.neoforge.event.entity.EntityAttributeCreationEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.registries.Registries;

import net.mcreator.galaxymod.entity.GalacticcreatureEntity;
import net.mcreator.galaxymod.entity.ElderGalacticCreatureEntity;
import net.mcreator.galaxymod.GalaxyModMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class GalaxyModModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(Registries.ENTITY_TYPE, GalaxyModMod.MODID);
	public static final DeferredHolder<EntityType<?>, EntityType<GalacticcreatureEntity>> GALACTICCREATURE = register("galacticcreature",
			EntityType.Builder.<GalacticcreatureEntity>of(GalacticcreatureEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(200).setUpdateInterval(3).fireImmune().sized(1f, 1f));
	public static final DeferredHolder<EntityType<?>, EntityType<ElderGalacticCreatureEntity>> ELDER_GALACTIC_CREATURE = register("elder_galactic_creature",
			EntityType.Builder.<ElderGalacticCreatureEntity>of(ElderGalacticCreatureEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(200).setUpdateInterval(3).fireImmune().sized(1f, 1f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> DeferredHolder<EntityType<?>, EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(RegisterSpawnPlacementsEvent event) {
		GalacticcreatureEntity.init(event);
		ElderGalacticCreatureEntity.init(event);
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(GALACTICCREATURE.get(), GalacticcreatureEntity.createAttributes().build());
		event.put(ELDER_GALACTIC_CREATURE.get(), ElderGalacticCreatureEntity.createAttributes().build());
	}
}
