
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.galaxymod.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.galaxymod.GalaxyModMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class GalaxyModModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, GalaxyModMod.MODID);
	public static final DeferredHolder<CreativeModeTab, CreativeModeTab> GALACTOLOTL_MOD = REGISTRY.register("galactolotl_mod",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.galaxy_mod.galactolotl_mod")).icon(() -> new ItemStack(GalaxyModModItems.GALACTICAPPLE.get())).displayItems((parameters, tabData) -> {
				tabData.accept(GalaxyModModItems.GALACTIC_PIECE.get());
				tabData.accept(GalaxyModModItems.GALACTIC_ARMOUR_CHESTPLATE.get());
				tabData.accept(GalaxyModModItems.GALACTIC_ARMOUR_BOOTS.get());
				tabData.accept(GalaxyModModItems.GALACTOSLICER.get());
				tabData.accept(GalaxyModModItems.NETHERSTICK.get());
				tabData.accept(GalaxyModModBlocks.GALACTIC_BLOCK.get().asItem());
				tabData.accept(GalaxyModModBlocks.GALACTICORE.get().asItem());
				tabData.accept(GalaxyModModBlocks.GALACTICPLANT.get().asItem());
				tabData.accept(GalaxyModModItems.GALAXYFLUID_BUCKET.get());
				tabData.accept(GalaxyModModBlocks.GALAXYGRASS.get().asItem());
				tabData.accept(GalaxyModModBlocks.GALAXYDIRT.get().asItem());
				tabData.accept(GalaxyModModItems.GALAXY_DIMENSION.get());
				tabData.accept(GalaxyModModItems.GALACTICAPPLE.get());
				tabData.accept(GalaxyModModBlocks.GALACTICSTONE.get().asItem());
				tabData.accept(GalaxyModModItems.GALACTICSOUP.get());
				tabData.accept(GalaxyModModBlocks.GALAXYSAND.get().asItem());
				tabData.accept(GalaxyModModItems.GALACTICGEM.get());
				tabData.accept(GalaxyModModItems.DIRTY_GALACTICPIECE.get());
				tabData.accept(GalaxyModModItems.CHOCOLATE.get());
				tabData.accept(GalaxyModModItems.CORRUPTGALAXYFLUID_BUCKET.get());
				tabData.accept(GalaxyModModItems.GALACTOCO.get());
				tabData.accept(GalaxyModModItems.CRUSHEDGALACTICPIECE.get());
				tabData.accept(GalaxyModModItems.GALACTICSHARD.get());
				tabData.accept(GalaxyModModItems.GALACTICSTICK.get());
				tabData.accept(GalaxyModModBlocks.GALACTICSNOW.get().asItem());
				tabData.accept(GalaxyModModBlocks.GALACTICENHANCER.get().asItem());
				tabData.accept(GalaxyModModItems.GALACTOCHOPPER.get());
				tabData.accept(GalaxyModModBlocks.MUTATEDGALAXYGRASS.get().asItem());
				tabData.accept(GalaxyModModBlocks.DARKENEDGALAXYDIRT.get().asItem());
				tabData.accept(GalaxyModModItems.GALAXYISLANDS.get());
				tabData.accept(GalaxyModModBlocks.BRIGHTENEDGALAXYLEAVES.get().asItem());
				tabData.accept(GalaxyModModBlocks.PUREGALACTICORE.get().asItem());
				tabData.accept(GalaxyModModBlocks.COMPACTGALAXYBLOCK.get().asItem());
				tabData.accept(GalaxyModModItems.GALAXYSHIELD.get());
				tabData.accept(GalaxyModModBlocks.GALAXY_LEAVES.get().asItem());
				tabData.accept(GalaxyModModBlocks.GALAXYGLASS.get().asItem());
				tabData.accept(GalaxyModModBlocks.STRANGEGALAXYPLANT.get().asItem());
				tabData.accept(GalaxyModModItems.STRONGGALACTICARMOUR_CHESTPLATE.get());
				tabData.accept(GalaxyModModItems.STRONGGALACTICARMOUR_BOOTS.get());
				tabData.accept(GalaxyModModItems.GALACTICSKIN_ARMOR_CHESTPLATE.get());
				tabData.accept(GalaxyModModItems.GALACTICCREATURE_SPAWN_EGG.get());
				tabData.accept(GalaxyModModItems.TIGHTGALACTICSKIN_HELMET.get());
				tabData.accept(GalaxyModModItems.TIGHTGALACTICSKIN_CHESTPLATE.get());
				tabData.accept(GalaxyModModItems.TIGHTGALACTICSKIN_LEGGINGS.get());
				tabData.accept(GalaxyModModItems.TIGHTGALACTICSKIN_BOOTS.get());
				tabData.accept(GalaxyModModItems.ULTIMATE_GALAXYSWORD.get());
				tabData.accept(GalaxyModModBlocks.STRONG_GALAXYBLOCK.get().asItem());
				tabData.accept(GalaxyModModItems.STRANGE_GALAXY_STICK.get());
				tabData.accept(GalaxyModModItems.ELDER_GALACTIC_CREATURE_SPAWN_EGG.get());
			}).build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(GalaxyModModBlocks.GALAXY_WOOD.get().asItem());
			tabData.accept(GalaxyModModBlocks.GALAXY_LOG.get().asItem());
			tabData.accept(GalaxyModModBlocks.GALAXY_PLANKS.get().asItem());
			tabData.accept(GalaxyModModBlocks.GALAXY_STAIRS.get().asItem());
			tabData.accept(GalaxyModModBlocks.GALAXY_SLAB.get().asItem());
			tabData.accept(GalaxyModModBlocks.GALAXY_FENCE.get().asItem());
			tabData.accept(GalaxyModModBlocks.GALAXY_FENCE_GATE.get().asItem());
			tabData.accept(GalaxyModModBlocks.GALAXY_PRESSURE_PLATE.get().asItem());
			tabData.accept(GalaxyModModBlocks.GALAXY_BUTTON.get().asItem());
		}
	}
}
