
package net.mcreator.galaxymod.fluid;

import net.neoforged.neoforge.fluids.BaseFlowingFluid;

import net.minecraft.world.level.material.FluidState;
import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.block.state.StateDefinition;
import net.minecraft.world.level.block.LiquidBlock;
import net.minecraft.core.particles.ParticleTypes;
import net.minecraft.core.particles.ParticleOptions;

import net.mcreator.galaxymod.init.GalaxyModModItems;
import net.mcreator.galaxymod.init.GalaxyModModFluids;
import net.mcreator.galaxymod.init.GalaxyModModFluidTypes;
import net.mcreator.galaxymod.init.GalaxyModModBlocks;

public abstract class CorruptgalaxyfluidFluid extends BaseFlowingFluid {
	public static final BaseFlowingFluid.Properties PROPERTIES = new BaseFlowingFluid.Properties(() -> GalaxyModModFluidTypes.CORRUPTGALAXYFLUID_TYPE.get(), () -> GalaxyModModFluids.CORRUPTGALAXYFLUID.get(),
			() -> GalaxyModModFluids.FLOWING_CORRUPTGALAXYFLUID.get()).explosionResistance(100f).tickRate(1).levelDecreasePerBlock(8).slopeFindDistance(1).bucket(() -> GalaxyModModItems.CORRUPTGALAXYFLUID_BUCKET.get())
			.block(() -> (LiquidBlock) GalaxyModModBlocks.CORRUPTGALAXYFLUID.get());

	private CorruptgalaxyfluidFluid() {
		super(PROPERTIES);
	}

	@Override
	public ParticleOptions getDripParticle() {
		return ParticleTypes.LARGE_SMOKE;
	}

	public static class Source extends CorruptgalaxyfluidFluid {
		public int getAmount(FluidState state) {
			return 8;
		}

		public boolean isSource(FluidState state) {
			return true;
		}
	}

	public static class Flowing extends CorruptgalaxyfluidFluid {
		protected void createFluidStateDefinition(StateDefinition.Builder<Fluid, FluidState> builder) {
			super.createFluidStateDefinition(builder);
			builder.add(LEVEL);
		}

		public int getAmount(FluidState state) {
			return state.getValue(LEVEL);
		}

		public boolean isSource(FluidState state) {
			return false;
		}
	}
}
