
/*
 * MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.galaxymod.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.fml.event.lifecycle.FMLClientSetupEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;
import net.neoforged.api.distmarker.Dist;

import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.material.FlowingFluid;
import net.minecraft.core.registries.BuiltInRegistries;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.ItemBlockRenderTypes;

import net.mcreator.galaxymod.fluid.GalaxyfluidFluid;
import net.mcreator.galaxymod.fluid.CorruptgalaxyfluidFluid;
import net.mcreator.galaxymod.GalaxyModMod;

public class GalaxyModModFluids {
	public static final DeferredRegister<Fluid> REGISTRY = DeferredRegister.create(BuiltInRegistries.FLUID, GalaxyModMod.MODID);
	public static final DeferredHolder<Fluid, FlowingFluid> GALAXYFLUID = REGISTRY.register("galaxyfluid", () -> new GalaxyfluidFluid.Source());
	public static final DeferredHolder<Fluid, FlowingFluid> FLOWING_GALAXYFLUID = REGISTRY.register("flowing_galaxyfluid", () -> new GalaxyfluidFluid.Flowing());
	public static final DeferredHolder<Fluid, FlowingFluid> CORRUPTGALAXYFLUID = REGISTRY.register("corruptgalaxyfluid", () -> new CorruptgalaxyfluidFluid.Source());
	public static final DeferredHolder<Fluid, FlowingFluid> FLOWING_CORRUPTGALAXYFLUID = REGISTRY.register("flowing_corruptgalaxyfluid", () -> new CorruptgalaxyfluidFluid.Flowing());

	@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class FluidsClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			ItemBlockRenderTypes.setRenderLayer(GALAXYFLUID.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_GALAXYFLUID.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(CORRUPTGALAXYFLUID.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_CORRUPTGALAXYFLUID.get(), RenderType.translucent());
		}
	}
}
